aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@dailly.me>2022-09-14 10:36:34 +0200
committerSébastien Dailly <sebastien@dailly.me>2022-09-14 10:36:34 +0200
commit1fac6d7043c22d6b452b632510ee2d9492ac20fb (patch)
treee25199069e7b4c22b5f2207d4ccfb9cac39fa412
parent48fc60fcf46bf1257232378e43d4e732982a777f (diff)
Update pi-audio configuration
-rw-r--r--board/bluetooth.sh22
-rwxr-xr-xbuild.sh2
2 files changed, 12 insertions, 12 deletions
diff --git a/board/bluetooth.sh b/board/bluetooth.sh
index e49a345..4cc2093 100644
--- a/board/bluetooth.sh
+++ b/board/bluetooth.sh
@@ -26,22 +26,22 @@ Requires=bluetooth.service
[Service]
Type=simple
ExecStartPre=bt-adapter --set Discoverable 1
-ExecStart=bt-agent -c NoInputNoOutput
+# see https://github.com/RPi-Distro/repo/issues/291
+#ExecStart=bt-agent -c NoInputNoOutput
+ExecStart=/bin/sh -c '/usr/bin/yes | /usr/bin/bt-agent --capability=DisplayOnly'
+# Restart the service each 10s
+WatchdogSec=10
RestartSec=5
Restart=always
-KillSignal=SIGUSR1
[Install]
WantedBy=bluetooth.target
__EOF__
-# The same for the bluetooth, as bluetoothd keep a track for each paired device
+## The same for the bluetooth, as bluetoothd keep a track for each paired device
create_missing_dir "/var/lib/bluetooth/"
-if ! grep -qE '/var/lib/bluetooth' "${TARGET_DIR}/etc/fstab"; then
- cat << __EOF__ >> "${TARGET_DIR}/etc/fstab"
-tmpfs /var/lib/bluetooth tmpfs rw 0 0
-__EOF__
-fi
-
-
-
+#if ! grep -qE '/var/lib/bluetooth' "${TARGET_DIR}/etc/fstab"; then
+# cat << __EOF__ >> "${TARGET_DIR}/etc/fstab"
+#tmpfs /var/lib/bluetooth tmpfs rw 0 0
+#__EOF__
+#fi
diff --git a/build.sh b/build.sh
index efd504d..573a340 100755
--- a/build.sh
+++ b/build.sh
@@ -7,7 +7,7 @@ usage() {
echo " - raspberrypi3"
}
-test -z ${BUILDROOT_DIR} && BUILDROOT_DIR="../buildroot-2022.02.1"
+test -z ${BUILDROOT_DIR} && BUILDROOT_DIR="../buildroot-2022.02.5"
if [ ! -d ${BUILDROOT_DIR} ]; then
usage